{"swagger":"2.0","info":{"version":"1.7.0","title":"1A_REST_JSON_Offer_Plan","description":"Offer Plans API is a set of RESTful JSON operations that allow \nthe creation and manipulation of Offer Plan object on Rates side. An offer plan can be a game tier plan, promotion or any other promotion object.\n","termsOfService":"https://developers.amadeus.com","contact":{"name":"Amadeus Hospitality Systems Integration Support"},"x-tags":["Internal"],"x-release-note":{"1.0":["Initial Version"],"1.1":["Endpoints added to support CRUD at Corporate level","Extended Offer Plan model for sub-type Promotion and Upsell rule with Booking Period, Stay Period, PromoGroupCode, PropertyCode, InventoryTypeCode, Segmentation","Support pagination"],"1.2":["Extend search parameters for corporate and property level","Support versioning"],"1.3":["Added lookForwardDays"],"1.4":["Added Synchronize operation"],"1.5":["######## New Endpoints ##########################","POST v1/rates/chains/{chainCode}/offer-plans/search - search operations with parameter in body","POST v1/rates/chains/{chainCode}/properties/{propertyCode}/offer-plans/search - search operations with parameter in body","############## New Fields in the Request ##########","data.qualifiers.inventoryTypes[]","############ New Error #################","HTTP 429"],"1.6":["####### New Fields in Request and Response #######","data.subType-Create-Property, Update-Property, Retrieve-Property, synchronize-property","data.qualifiers.promoCodes[]-Create-Property, Update-Property, Retrieve-Property, synchronize-property","####### New Fields in Request #######","data.subType-Search-Property","data.qualifiers.promoCodes[]-Search-Property"],"1.7":["####### New Fields in Response #######","warnings[]- Search-Property"]}},"schemes":["https"],"tags":[{"name":"Corporate Level - Offer Plan"},{"name":"Hotel Level - Offer Plan"}],"basePath":"/v1","consumes":["application/json"],"produces":["application/json"],"paths":{"/rates/chains/{chainCode}/offer-plans":{"parameters":[{"$ref":"#/parameters/chainCode"}],"post":{"tags":["Corporate Level - Offer Plan"],"summary":"create-corporate","description":"Create Corporate Offer Plans","operationId":"createCorporate","parameters":[{"$ref":"#/parameters/postedCorporateOfferPlan"}],"responses":{"201":{"$ref":"#/responses/returnedOfferPlanId"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"409":{"$ref":"#/responses/409"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"get":{"tags":["Corporate Level - Offer Plan"],"summary":"search-corporate-deprecated","description":"Still supported but the POST one should be used","operationId":"searchCorporate","parameters":[{"$ref":"#/parameters/bookingStart"},{"$ref":"#/parameters/bookingEnd"},{"$ref":"#/parameters/stayStart"},{"$ref":"#/parameters/stayEnd"},{"$ref":"#/parameters/typeInCorporate"},{"$ref":"#/parameters/RatePlanCodes"},{"$ref":"#/parameters/pageLimit"},{"$ref":"#/parameters/pageOffset"},{"$ref":"#/parameters/promoGroupCode"},{"$ref":"#/parameters/offerPlanName"},{"$ref":"#/parameters/offerPlanDescription"},{"$ref":"#/parameters/offerPlanCode"}],"responses":{"200":{"$ref":"#/responses/returnedCorporateOfferPlans"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/rates/chains/{chainCode}/offer-plans/search":{"parameters":[{"$ref":"#/parameters/chainCode"}],"post":{"tags":["Corporate Level - Offer Plan"],"summary":"search-corporate","description":"Search Corporate Offer Plans","operationId":"searchCorporatePayload","parameters":[{"$ref":"#/parameters/searchCorporateOfferPlan"}],"responses":{"200":{"$ref":"#/responses/returnedCorporateOfferPlans"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/rates/chains/{chainCode}/offer-plans/{planId}":{"parameters":[{"$ref":"#/parameters/chainCode"},{"$ref":"#/parameters/planId"}],"put":{"tags":["Corporate Level - Offer Plan"],"summary":"update-corporate","description":"Update Corporate Offer Plans","operationId":"updateCorporate","parameters":[{"$ref":"#/parameters/if-match"},{"$ref":"#/parameters/postedCorporateOfferPlan"}],"responses":{"204":{"description":"Successful Operation"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"409":{"$ref":"#/responses/409"},"412":{"$ref":"#/responses/412"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"delete":{"tags":["Corporate Level - Offer Plan"],"summary":"delete-corporate","description":"Delete Corporate Offer Plans","operationId":"deleteCorporate","parameters":[{"$ref":"#/parameters/if-match"}],"responses":{"204":{"description":"Successfully Deleted"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"412":{"$ref":"#/responses/412"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"get":{"tags":["Corporate Level - Offer Plan"],"summary":"retrieve-corporate","description":"Retrieve Corporate Offer Plans","operationId":"retrieveCorporate","responses":{"200":{"$ref":"#/responses/returnedCorporateOfferPlan"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/rates/chains/{chainCode}/properties/{propertyCode}/offer-plans":{"parameters":[{"$ref":"#/parameters/chainCode"},{"$ref":"#/parameters/propertyCode"}],"post":{"tags":["Hotel Level - Offer Plan"],"summary":"create-property","description":"Create Property Offer Plans","operationId":"createProperty","parameters":[{"$ref":"#/parameters/postedPropertyOfferPlan"}],"responses":{"201":{"$ref":"#/responses/returnedOfferPlanId"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"409":{"$ref":"#/responses/409"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"get":{"tags":["Hotel Level - Offer Plan"],"summary":"search-property-deprecated","description":"Still supported but the POST one should be used","operationId":"searchProperty","parameters":[{"$ref":"#/parameters/bookingStart"},{"$ref":"#/parameters/bookingEnd"},{"$ref":"#/parameters/stayStart"},{"$ref":"#/parameters/stayEnd"},{"$ref":"#/parameters/typeInProperty"},{"$ref":"#/parameters/RatePlanCodes"},{"$ref":"#/parameters/pageLimit"},{"$ref":"#/parameters/pageOffset"},{"$ref":"#/parameters/promoGroupCode"},{"$ref":"#/parameters/offerPlanName"},{"$ref":"#/parameters/offerPlanDescription"},{"$ref":"#/parameters/offerPlanCode"}],"responses":{"200":{"$ref":"#/responses/returnedPropertyOfferPlans"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/rates/chains/{chainCode}/properties/{propertyCode}/offer-plans/search":{"parameters":[{"$ref":"#/parameters/chainCode"},{"$ref":"#/parameters/propertyCode"}],"post":{"tags":["Hotel Level - Offer Plan"],"summary":"search-property","description":"Search Property Offer Plans","operationId":"searchPropertyPayload","parameters":[{"$ref":"#/parameters/searchPropertyOfferPlan"}],"responses":{"200":{"$ref":"#/responses/returnedPropertyOfferPlans"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/rates/chains/{chainCode}/properties/{propertyCode}/offer-plans/{planId}":{"parameters":[{"$ref":"#/parameters/chainCode"},{"$ref":"#/parameters/propertyCode"},{"$ref":"#/parameters/planId"}],"put":{"tags":["Hotel Level - Offer Plan"],"summary":"update-property","description":"Update  Property Offer Plans","operationId":"updateProperty","parameters":[{"$ref":"#/parameters/if-match"},{"$ref":"#/parameters/postedPropertyOfferPlan"}],"responses":{"204":{"description":"Successful Operation"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"409":{"$ref":"#/responses/409"},"412":{"$ref":"#/responses/412"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"delete":{"tags":["Hotel Level - Offer Plan"],"summary":"delete-property","description":"Delete Property Offer Plans","operationId":"deleteProperty","parameters":[{"$ref":"#/parameters/if-match"}],"responses":{"204":{"description":"Successfully Deleted"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"412":{"$ref":"#/responses/412"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}},"get":{"tags":["Hotel Level - Offer Plan"],"summary":"retrieve-property","description":"Retrieve Property Offer Plans","operationId":"retrieveProperty","responses":{"200":{"$ref":"#/responses/returnedPropertyOfferPlan"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"403":{"$ref":"#/responses/403"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"default":{"$ref":"#/responses/500"}}}},"/feeds/rates/chains/{chainCode}/properties/{propertyCode}/offer-plans/{planId}":{"parameters":[{"$ref":"#/parameters/chainCode"},{"$ref":"#/parameters/propertyCode"},{"$ref":"#/parameters/planId"}],"post":{"tags":["Hotel Level - Offer Plan"],"summary":"synchronize-property","description":"This operation automatically pushes the property level Offer Plan to the external system, when triggers are met.","operationId":"synchronizeProperty","parameters":[{"$ref":"#/parameters/synchronizedOfferPlan"},{"$ref":"#/parameters/ama-request-id"},{"$ref":"#/parameters/ama-request-correlation-id"},{"$ref":"#/parameters/ama-correlation-id"},{"$ref":"#/parameters/ama-retry-count"},{"$ref":"#/parameters/ama-sequence-id"},{"$ref":"#/parameters/ama-destinations-whitelist"},{"$ref":"#/parameters/ama-destinations-blacklist"},{"$ref":"#/parameters/ama-transmission-time"}],"responses":{"200":{"$ref":"#/responses/returnFeedSuccess"},"400":{"$ref":"#/responses/400"},"503":{"$ref":"#/responses/503"},"default":{"$ref":"#/responses/500"}}}}},"parameters":{"if-match":{"name":"If-Match","in":"header","required":false,"type":"string","description":"Version of the targeted object.  Used for conditional request and Concurrent Updates Control."},"ama-request-id":{"name":"Ama-Request-Id","in":"header","required":false,"type":"string","description":"Request Id of the message.Unique transaction identifier"},"ama-request-correlation-id":{"name":"Ama-Request-Correlation-Id","in":"header","required":false,"type":"string","description":"Correlation request id grouping several transactions that are related"},"ama-correlation-id":{"name":"Ama-Correlation-Id","in":"header","required":false,"type":"string","description":"Correlation request id grouping several transactions that are related"},"ama-retry-count":{"name":"Ama-Retry-Count","in":"header","required":false,"type":"string","description":"Retry count of the message."},"ama-sequence-id":{"name":"Ama-Sequence-Id","in":"header","required":false,"type":"string","format":"int32","description":"Sequence of the message depending on the scope. Refer implementation details"},"ama-destinations-whitelist":{"name":"Ama-Destinations-Whitelist","in":"header","required":false,"type":"array","items":{"type":"string"},"description":"Targeted systems for the message"},"ama-destinations-blacklist":{"name":"Ama-Destinations-Blacklist","in":"header","required":false,"type":"array","items":{"type":"string"},"description":"Targeted systems for the message except the ones in this list"},"ama-transmission-time":{"name":"Ama-Transmission-Time","in":"header","required":false,"type":"string","format":"date-time","description":"Time when the header is attached to the message"},"chainCode":{"name":"chainCode","in":"path","required":true,"description":"chain/corporate code","type":"string","pattern":"[A-Z0-9]{2,3}","minLength":2,"maxLength":3},"propertyCode":{"name":"propertyCode","in":"path","description":"property/hotel code","required":true,"type":"string","pattern":"[A-Z0-9]{1,8}","minLength":1,"maxLength":8},"planId":{"name":"planId","in":"path","description":"Offer Plan Id","required":true,"type":"string"},"pageLimit":{"name":"pageLimit","required":false,"description":"number of items to be displayed per page starting from pageOffset","in":"query","type":"integer"},"pageOffset":{"name":"pageOffset","required":false,"description":"index of the item from where the search results to be displayed - example pageOffset = 4, first displayed item is the 5th of the list","in":"query","type":"integer"},"bookingStart":{"name":"bookingStart","required":false,"description":"returns promotions whose booking enddate is/on after this date","in":"query","type":"string","format":"date"},"bookingEnd":{"name":"bookingEnd","required":false,"description":"returns promotions whose booking start date is/on before this date","in":"query","type":"string","format":"date"},"stayStart":{"name":"stayStart","description":"returns promotions whose stay enddate is/on after this date","required":false,"in":"query","type":"string","format":"date"},"stayEnd":{"name":"stayEnd","description":"returns promotions whose stay startdate is/on before this date","required":false,"in":"query","type":"string","format":"date"},"typeInCorporate":{"name":"type","required":true,"in":"query","type":"string","description":"Type of the offer plan such as GameTierPlan, Promotion, UpsellRule","enum":["GameTierPlan","Promotion","UpsellRule"]},"typeInProperty":{"name":"type","required":false,"default":"GameTierPlan","in":"query","type":"string","description":"Type of the offer plan such as GameTierPlan, Promotion, UpsellRule","enum":["GameTierPlan","Promotion","UpsellRule"]},"RatePlanCodes":{"name":"ratePlans","required":false,"in":"query","type":"array","description":"list of rateplans which are associated with the Promotion","items":{"type":"string"}},"promoGroupCode":{"name":"promoGroupCode","required":false,"description":"returns promos with this specific promo group code","in":"query","type":"string"},"offerPlanName":{"name":"name","required":false,"description":"returns offer plans whose names contain this string","in":"query","type":"string"},"offerPlanDescription":{"name":"description","required":false,"description":"returns offer plans whose descriptions contain this string","in":"query","type":"string"},"offerPlanCode":{"name":"code","required":false,"description":"returns offer plans with this specific code","in":"query","type":"string"},"postedPropertyOfferPlan":{"name":"postedPropertyOfferPlan","in":"body","description":"Actual content to process","required":true,"schema":{"title":"PostedPropertyOfferPlan","required":["data"],"properties":{"data":{"$ref":"#/definitions/PropertyOfferPlan"}}}},"postedCorporateOfferPlan":{"name":"postedCorporateOfferPlan","in":"body","description":"Actual content to process","required":true,"schema":{"title":"PostedCorporateOfferPlan","required":["data"],"properties":{"data":{"$ref":"#/definitions/CorporateOfferPlan"}}}},"synchronizedOfferPlan":{"name":"synchronizedOfferPlan","in":"body","description":"Actual content to synchronize","required":true,"schema":{"title":"synchronizedOfferPlan","required":["data"],"properties":{"meta":{"$ref":"#/definitions/FeedsMeta"},"data":{"$ref":"#/definitions/PropertyOfferPlan"}}}},"searchPropertyOfferPlan":{"name":"searchPropertyOfferPlan","in":"body","description":"Search Parameters for the Offer plans","required":true,"schema":{"title":"searchOfferPlan","required":["data"],"properties":{"data":{"$ref":"#/definitions/SearchPropertyPayLoad"}}}},"searchCorporateOfferPlan":{"name":"searchCorporateOfferPlan","in":"body","description":"Search Parameters for the Offer plans","required":true,"schema":{"title":"searchOfferPlan","required":["data"],"properties":{"data":{"$ref":"#/definitions/SearchCorporatePayLoad"}}}}},"definitions":{"PropertyOfferPlan":{"title":"Corporate Offer Plan","type":"object","description":"Corporate Offer Plan Data Model","properties":{"id":{"type":"string","description":"Unique Identifier of the Offer Plan object"},"type":{"type":"string","description":"Type of the tier plan such as GameTierPlan, Promotions, SellStrategy","enum":["GameTierPlan","Promotion","UpsellRule"]},"subType":{"type":"string","description":"Type of GameTierPlan","enum":["PerpetualOffer","OneOffOffer"]},"isActive":{"type":"boolean","description":"Indicator determines the status of the Offer Plan object"},"qualifiers":{"type":"object","description":"Contains the list of attributes a qualifier for the offer plan object","title":"Qualifiers","properties":{"valueTiers":{"type":"array","description":"Determines the rank assigned based on their value configuration. Example,a rewards member whose value tier is configured for GameTierPlan object","items":{"type":"string"},"example":["1","2","3"]},"playDominance":{"type":"array","description":"Determines the rank assigned to a rewards member based on their gaming history for which the Qualification is configured for","items":{"type":"string"},"example":["Poker","Slots","Table","Tickets"]},"pseudoProperty":{"type":"string","description":"Determines the pseudo property code for the physical property of the Offer Plan","example":"HTL01"},"inventoryTypeCode":{"description":"Contains the inventory Type code for which the offer plan object can be offered such as an UpsellRule","type":"string","maxLength":50},"inventoryTypes":{"description":"Contains the list of inventory Type codes for which the offer plan object can be offered such as an UpsellRule","type":"array","maxLength":50,"items":{"type":"string"}},"bookingPeriod":{"description":"Contains the start and end date for booking period in Date time format","$ref":"#/definitions/Period"},"stayPeriod":{"description":"Contains the start and end date for stay period in Date format","$ref":"#/definitions/Period"},"promoCodes":{"description":"Contains list of Promo Codes associated to the OneOffOffer","type":"array","maxLength":300,"items":{"type":"string"},"example":["SUMMER1","THANKSGIVING"]}}},"overrides":{"type":"object","title":"Overrides","description":"Contains the list of rate plan attributes that can be overridden","properties":{"name":{"type":"string","description":"Contains the attribute value that overrides the name of the Rate plan(s)","example":"RPXYZ"},"description":{"type":"string","description":"Contains the attribute value that overrides the description of the Rate plan(s)","example":"Holiday Offer Promotional Rate"},"promoCode":{"type":"string","description":"Determines the promo code that can be overriden with over the one of the rate plan's promo code","example":"XMAS20","maxLength":50}}},"segmentation":{"title":"Segmentation","description":"Contains the segment (such as geographical regions, brands, properties) to which the Offer Plan object applies","$ref":"#/definitions/Segmentation"},"promoGroupCode":{"type":"string","description":"Contains the promotion group code associated to the Offer Plan object","maxLength":50},"code":{"type":"string","description":"Contains the unique user generated code for the Offer Plan object such as for a Promotion","maxLength":50},"ratePlans":{"type":"array","description":"Contains the rate plans associated to each bucket","items":{"type":"object","description":"Rate Plan code and Bucket type to which the rate plan code belongs","title":"RatePlan","properties":{"type":{"type":"string","description":"Determines the type of bucket to which the Rate Plan code belongs - Comp, Cash, Loyalty","enum":["Comp","Cash","Loyalty"]},"code":{"type":"string","description":"Rate Plan code","example":"RP01"}}}},"bookingLimits":{"type":"object","title":"BookingLimits","description":"Contains the list of attributes for applicable booking quotas for applicable buckets and booking windows","properties":{"compNightsPerWeek":{"type":"integer","description":"Determines the value of Complimentary Nights offered per week","example":1},"cashNightsPerWeek":{"type":"integer","description":"Determines the value of Cash Nights offered per week","example":2},"preferredNightsPerWeek":{"type":"integer","description":"Determines the value of Preferred Nights offered per week","example":3},"compRatesPerStay":{"type":"integer","description":"Determines the value of Complimentary Rates offered per stay","example":4},"cashRatesPerStay":{"type":"integer","description":"Determines the value of Cash Rates offered per stay","example":5},"compNightsPerBookingWindow":{"type":"integer","description":"Determines the value of Complimentary Nights offered per Booking Window","example":6},"cashNightsPerBookingWindow":{"type":"integer","description":"Determines the value of Cash Nights offered per Booking Window","example":7},"compNightsPerStay":{"type":"integer","description":"Determines the value of Complimentary Nights offered per stay","example":9},"cashNightsPerStay":{"type":"integer","description":"Determines the value of Cash Nights offered per stay","example":10},"preferredRatesDailyLimit":{"type":"integer","description":"Determines the preferred Rates Daily Limit","example":4},"minDaysBetweenBookings":{"type":"integer","description":"Determines the minimum days required between bookings","example":11},"lookBackDays":{"type":"integer","description":"Determines the look back days as a representation of booking window","example":12},"lookForwardDays":{"type":"integer","description":"Determines the look forward days","example":3}}}},"example":{"type":"Promotion","id":"678912","isActive":true,"code":"1NFREE","promoGroupCode":"SUMMER21","qualifiers":{"bookingPeriod":{"start":"2020-08-12T08:00:00","end":"2020-08-20T08:00:00"},"stayPeriod":{"start":"2020-08-12","end":"2020-08-30"}},"overrides":{"name":"Summer Offers for 2021","description":"Promotional Offers for summer season, 1N Free for loyalty Guests"},"ratePlans":[{"code":"RP01"},{"code":"RP02"},{"code":"RP03"},{"code":"RP04"},{"code":"RP05"}]}},"CorporateOfferPlan":{"title":"Corporate Offer Plan","description":"Corporate Offer Plan Data Model","allOf":[{"$ref":"#/definitions/PropertyOfferPlan"},{"type":"object","properties":{"segmentation":{"title":"Segmentation","description":"Contains the segment (such as geographical regions, brands, properties) to which the Offer Plan object applies","$ref":"#/definitions/Segmentation"}}}],"example":{"type":"Promotion","id":"678912","isActive":true,"code":"1NFREE","promoGroupCode":"SUMMER21","qualifiers":{"bookingPeriod":{"start":"2020-08-12T08:00:00","end":"2020-08-20T08:00:00"},"stayPeriod":{"start":"2020-08-12","end":"2020-08-30"}},"overrides":{"name":"Summer Offers for 2021","description":"Promotional Offers for summer season, 1N Free for loyalty Guests"},"ratePlans":[{"code":"RP01"},{"code":"RP02"},{"code":"RP03"},{"code":"RP04"},{"code":"RP05"}],"segmentation":{"brands":["*"],"regions":["01"]}}},"SearchPropertyPayLoad":{"type":"object","title":"SearchPayLoad","required":["type"],"properties":{"page":{"type":"object","title":"MetaPageData","properties":{"limit":{"type":"integer","example":10},"offset":{"type":"integer","example":0}}},"bookingPeriod":{"description":"Contains the start and end date for booking period in Date format","$ref":"#/definitions/SearchPeriod"},"stayPeriod":{"description":"Contains the start and end date for stay period in Date format","$ref":"#/definitions/SearchPeriod"},"type":{"type":"string","description":"Type of the tier plan such as GameTierPlan, Promotions, SellStrategy","enum":["GameTierPlan","Promotion","UpsellRule"]},"promoGroupCode":{"type":"string","description":"Contains the promotion group code associated to the Offer Plan object","maxLength":50},"name":{"type":"string","description":"Contains the attribute value that overrides the name of the Rate plan(s)","example":"RPXYZ"},"description":{"description":"Contains the attribute value that overrides the description of the Rate plan(s)","type":"string","example":"Holiday Offer Promotional Rate"},"code":{"type":"string","description":"Determines the promo code that can be overriden with over the one of the rate plan's promo code","example":"XMAS20","maxLength":50},"ratePlans":{"type":"array","description":"list of rateplans which are associated with the Promotion","items":{"type":"string"}},"subType":{"type":"string","description":"Type of GameTierPlan","enum":["PerpetualOffer","OneOffOffer"]},"promoCodes":{"description":"Contains list of Promo Codes associated to the OneOffOffer","type":"array","maxLength":10,"items":{"type":"string"},"example":["SUMMER1","THANKSGIVING"]}}},"SearchCorporatePayLoad":{"type":"object","title":"SearchPayLoad","required":["type"],"properties":{"page":{"type":"object","title":"MetaPageData","properties":{"limit":{"type":"integer","example":10},"offset":{"type":"integer","example":0}}},"bookingPeriod":{"description":"Contains the start and end date for booking period in Date format","$ref":"#/definitions/SearchPeriod"},"stayPeriod":{"description":"Contains the start and end date for stay period in Date format","$ref":"#/definitions/SearchPeriod"},"type":{"type":"string","description":"Type of the tier plan such as GameTierPlan, Promotions, SellStrategy","enum":["GameTierPlan","Promotion","UpsellRule"]},"promoGroupCode":{"type":"string","description":"Contains the promotion group code associated to the Offer Plan object","maxLength":50},"name":{"type":"string","description":"Contains the attribute value that overrides the name of the Rate plan(s)","example":"RPXYZ"},"description":{"description":"Contains the attribute value that overrides the description of the Rate plan(s)","type":"string","example":"Holiday Offer Promotional Rate"},"code":{"type":"string","description":"Determines the promo code that can be overriden with over the one of the rate plan's promo code","example":"XMAS20","maxLength":50},"ratePlans":{"type":"array","description":"list of rateplans which are associated with the Promotion","items":{"type":"string"}}}},"Error_400":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":400,"code":110010,"title":"Missing Mandatory Data","source":{"parameter":"startDate","example":"2018-09-22"}}]}},"Error_401":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":401,"code":38190,"title":"Invalid access token"}]}},"Error_403":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":403,"code":110008,"title":"Insufficient Privileges"}]}},"Error_404":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":404,"code":154404,"title":"Bad or nonexistent identifier","source":{"parameter":"chainCode"}}]}},"Error_500":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":500,"code":110000,"title":"An internal error occurred"}]}},"Error_409":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":409,"code":10100,"title":"Internal incoherence"}]}},"Error_412":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":412,"code":110002,"title":"Concurrent updates occured"}]}},"Error_429":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":429,"code":38194,"title":"Too many requests"}]}},"Error_503":{"properties":{"errors":{"type":"array","items":{"$ref":"#/definitions/Issue"}}},"required":["errors"],"example":{"errors":[{"status":503,"code":110008,"title":"Service Unavailable"}]}},"Issue":{"type":"object","title":"Issue","properties":{"status":{"description":"The HTTP status code applicable to this error","type":"integer","example":400},"code":{"description":"An application-specific error code","type":"integer","example":14453},"title":{"description":"A short summary of the error","type":"string"},"detail":{"description":"Explanation of the error","type":"string"},"source":{"type":"object","title":"IssueSource","description":"An object containing references to the source of the error","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document","type":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the issue","type":"string"},"example":{"type":"string","description":"A sample input to guide the user when resolving this issue"}}}}},"Meta":{"properties":{"count":{"type":"integer","readOnly":true,"example":1},"page":{"type":"object","readOnly":true,"title":"MetaPage","properties":{"limit":{"type":"integer","example":10},"offset":{"type":"integer","example":0}}}}},"FeedsMeta":{"properties":{"chainCode":{"description":"chain/corporate code","type":"string","pattern":"[A-Z0-9]{2,3}","minLength":2,"maxLength":3},"propertyCode":{"description":"property/hotel code","type":"string","pattern":"[A-Z0-9]{1,8}"},"generationTime":{"description":"date-time Zulu time up to the second at which the data has been gathered. Format is ISO8601.","example":"2019-12-21T23:59:50Z","type":"string"},"action":{"description":"action","type":"string","example":"Create","enum":["Create","Refresh","Update","Delete"]}}},"Period":{"title":"Period","type":"object","minProperties":1,"properties":{"start":{"description":"start date-time follows ISO 8601 format","type":"string","example":"2019-12-20T23:59:59"},"end":{"description":"end date-time follows ISO 8601 format","type":"string","example":"2019-12-21T23:59:59"}}},"SearchPeriod":{"title":"Period","minProperties":1,"properties":{"start":{"description":"start date","type":"string","format":"date","maxLength":50,"example":"2019-11-22"},"end":{"description":"end date","type":"string","format":"date","maxLength":50,"example":"2019-12-20"}}},"Segmentation":{"title":"VisibilityRule","type":"object","minProperties":1,"properties":{"brands":{"type":"array","description":"list of codes of selected brands or '*' for the selection of all brands","items":{"description":"unique identifier of a Brand in a Chain","type":"string","pattern":"[A-Z0-9]{2,3}|[*]","example":"BRD"}},"regions":{"type":"array","description":"list of codes of selected regions or '*' for the selection of all regions","items":{"description":"The code of the region","type":"string","pattern":"[A-Za-z0-9]{1,3}|[*]","minLength":1,"maxLength":3,"example":"01"}},"properties":{"type":"array","description":"list of codes of included properties","items":{"description":"unique identifier of a Property in a Chain or a Brand","type":"string","minLength":1,"maxLength":8,"pattern":"[A-Z0-9]{1,8}","example":"PTY01"}}}},"WarningItem":{"properties":{"code":{"description":"an application-specific error code.","type":"string","example":"14453"},"title":{"description":"a short summary of the issue.","type":"string"},"detail":{"description":"explanation of the issue.","type":"string"},"sources":{"description":"Adding the sources of the issue","type":"array","items":{"type":"object","title":"Pointer","properties":{"pointer":{"type":"string","description":"Adding the pointer of the issue","example":"ids/5555"}}}}}}},"responses":{"400":{"description":"Bad Request\n\nExamples of functional error codes (not exhaustive list):\n\ncode    | title                                 \n------- | ------------------- \n20310   | Invalid parameter\n110010  | Missing Mandatory Data\n","schema":{"$ref":"#/definitions/Error_400"}},"401":{"description":"Unauthorized \n\ncode    | title\n------- | ------------------- \n38190   | Invalid access token\n","schema":{"$ref":"#/definitions/Error_401"}},"403":{"description":"Forbidden\n\ncode    | title\n------- | ------------------- \n110008  | Insufficient Privileges\n","schema":{"$ref":"#/definitions/Error_403"}},"404":{"description":"Not found\n\ncode    | title\n------- | ------------------- \n134404  | Bad or nonexistent identifier\n","schema":{"$ref":"#/definitions/Error_404"}},"409":{"description":"Conflict\n\nExamples of functional error codes:\n\ncode    | title                                 \n------- | ------------------- \n140016  | Pre-existing offer plan with overlapping qualification criteria\n","schema":{"$ref":"#/definitions/Error_409"}},"412":{"description":"Precondition Failed","schema":{"$ref":"#/definitions/Error_412"}},"429":{"description":"Too many requests\n\ncode    | title\n------- | ------------------- \n38194   | Too many requests\n","schema":{"$ref":"#/definitions/Error_429"}},"500":{"description":"Unexpected Error\n\ncode    | title\n------- | ------------------- \n110000  | An internal error occurred\n","schema":{"$ref":"#/definitions/Error_500"}},"503":{"description":"Forbidden\n\ncode    | title\n------- | ------------------- \n110008  | Service Unavailable\n","schema":{"$ref":"#/definitions/Error_503"}},"returnedPropertyOfferPlans":{"description":"Successful Operation","schema":{"title":"Success","required":["data"],"properties":{"meta":{"$ref":"#/definitions/Meta"},"warnings":{"type":"array","items":{"$ref":"#/definitions/WarningItem"}},"data":{"type":"array","items":{"$ref":"#/definitions/PropertyOfferPlan"}}}}},"returnedPropertyOfferPlan":{"description":"Successful Operation","headers":{"ETag":{"type":"string","description":"object version"}},"schema":{"title":"Success","required":["data"],"properties":{"data":{"$ref":"#/definitions/PropertyOfferPlan"}}}},"returnedCorporateOfferPlans":{"description":"Successful Operation","schema":{"title":"Success","required":["data"],"properties":{"meta":{"$ref":"#/definitions/Meta"},"data":{"type":"array","items":{"$ref":"#/definitions/CorporateOfferPlan"}}}}},"returnedCorporateOfferPlan":{"description":"Successful Operation","headers":{"ETag":{"type":"string","description":"object version"}},"schema":{"title":"Success","required":["data"],"properties":{"data":{"$ref":"#/definitions/CorporateOfferPlan"}}}},"returnedOfferPlanId":{"description":"Successful Operation","schema":{"title":"Success","required":["data"],"properties":{"data":{"type":"object","title":"ReturnedId","properties":{"id":{"type":"string","description":"Unique Identifier of the object"}}}}}},"returnFeedSuccess":{"description":"Successful Operation","schema":{"title":"Success","required":["data"],"properties":{"data":{"type":"array","items":{"title":"Warning","properties":{"warning":{"type":"array","items":{"$ref":"#/definitions/Issue"}}}}}}}}}}